Package com.databricks.jdbc.model.client.thrift.generated

## Enum TGetInfoType

- java.lang.Object
- - java.lang.Enum<TGetInfoType>
  - - com.databricks.jdbc.model.client.thrift.generated.TGetInfoType

All Implemented Interfaces:
  `Serializable`, `Comparable<TGetInfoType>`, `org.apache.thrift.TEnum`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2025-05-08")
    public enum TGetInfoType
    extends Enum<TGetInfoType>
    implements org.apache.thrift.TEnum

### Enum Constant Summary

Enum Constants
`CLI_ACCESSIBLE_PROCEDURES`
`CLI_ACCESSIBLE_TABLES`
`CLI_ALTER_TABLE`
`CLI_CATALOG_NAME`
`CLI_COLLATION_SEQ`
`CLI_CURSOR_COMMIT_BEHAVIOR`
`CLI_CURSOR_SENSITIVITY`
`CLI_DATA_SOURCE_NAME`
`CLI_DATA_SOURCE_READ_ONLY`
`CLI_DBMS_NAME`
`CLI_DBMS_VER`
`CLI_DEFAULT_TXN_ISOLATION`
`CLI_DESCRIBE_PARAMETER`
`CLI_FETCH_DIRECTION`
`CLI_GETDATA_EXTENSIONS`
`CLI_IDENTIFIER_CASE`
`CLI_IDENTIFIER_QUOTE_CHAR`
`CLI_INTEGRITY`
`CLI_MAX_CATALOG_NAME_LEN`
`CLI_MAX_COLUMN_NAME_LEN`
`CLI_MAX_COLUMNS_IN_GROUP_BY`
`CLI_MAX_COLUMNS_IN_INDEX`
`CLI_MAX_COLUMNS_IN_ORDER_BY`
`CLI_MAX_COLUMNS_IN_SELECT`
`CLI_MAX_COLUMNS_IN_TABLE`
`CLI_MAX_CONCURRENT_ACTIVITIES`
`CLI_MAX_CURSOR_NAME_LEN`
`CLI_MAX_DRIVER_CONNECTIONS`
`CLI_MAX_IDENTIFIER_LEN`
`CLI_MAX_INDEX_SIZE`
`CLI_MAX_ROW_SIZE`
`CLI_MAX_SCHEMA_NAME_LEN`
`CLI_MAX_STATEMENT_LEN`
`CLI_MAX_TABLE_NAME_LEN`
`CLI_MAX_TABLES_IN_SELECT`
`CLI_MAX_USER_NAME_LEN`
`CLI_NULL_COLLATION`
`CLI_OJ_CAPABILITIES`
`CLI_ORDER_BY_COLUMNS_IN_SELECT`
`CLI_SCROLL_CONCURRENCY`
`CLI_SEARCH_PATTERN_ESCAPE`
`CLI_SERVER_NAME`
`CLI_SPECIAL_CHARACTERS`
`CLI_TXN_CAPABLE`
`CLI_TXN_ISOLATION_OPTION`
`CLI_USER_NAME`
`CLI_XOPEN_CLI_YEAR`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TGetInfoType` `findByValue​(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
`int` `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
`static TGetInfoType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TGetInfoType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLI_MAX_DRIVER_CONNECTIONS

    public static final TGetInfoType CLI_MAX_DRIVER_CONNECTIONS

#### CLI_MAX_CONCURRENT_ACTIVITIES

    public static final TGetInfoType CLI_MAX_CONCURRENT_ACTIVITIES

#### CLI_DATA_SOURCE_NAME

    public static final TGetInfoType CLI_DATA_SOURCE_NAME

#### CLI_FETCH_DIRECTION

    public static final TGetInfoType CLI_FETCH_DIRECTION

#### CLI_SERVER_NAME

    public static final TGetInfoType CLI_SERVER_NAME

#### CLI_SEARCH_PATTERN_ESCAPE

    public static final TGetInfoType CLI_SEARCH_PATTERN_ESCAPE

#### CLI_DBMS_NAME

    public static final TGetInfoType CLI_DBMS_NAME

#### CLI_DBMS_VER

    public static final TGetInfoType CLI_DBMS_VER

#### CLI_ACCESSIBLE_TABLES

    public static final TGetInfoType CLI_ACCESSIBLE_TABLES

#### CLI_ACCESSIBLE_PROCEDURES

    public static final TGetInfoType CLI_ACCESSIBLE_PROCEDURES

#### CLI_CURSOR_COMMIT_BEHAVIOR

    public static final TGetInfoType CLI_CURSOR_COMMIT_BEHAVIOR

#### CLI_DATA_SOURCE_READ_ONLY

    public static final TGetInfoType CLI_DATA_SOURCE_READ_ONLY

#### CLI_DEFAULT_TXN_ISOLATION

    public static final TGetInfoType CLI_DEFAULT_TXN_ISOLATION

#### CLI_IDENTIFIER_CASE

    public static final TGetInfoType CLI_IDENTIFIER_CASE

#### CLI_IDENTIFIER_QUOTE_CHAR

    public static final TGetInfoType CLI_IDENTIFIER_QUOTE_CHAR

#### CLI_MAX_COLUMN_NAME_LEN

    public static final TGetInfoType CLI_MAX_COLUMN_NAME_LEN

#### CLI_MAX_CURSOR_NAME_LEN

    public static final TGetInfoType CLI_MAX_CURSOR_NAME_LEN

#### CLI_MAX_SCHEMA_NAME_LEN

    public static final TGetInfoType CLI_MAX_SCHEMA_NAME_LEN

#### CLI_MAX_CATALOG_NAME_LEN

    public static final TGetInfoType CLI_MAX_CATALOG_NAME_LEN

#### CLI_MAX_TABLE_NAME_LEN

    public static final TGetInfoType CLI_MAX_TABLE_NAME_LEN

#### CLI_SCROLL_CONCURRENCY

    public static final TGetInfoType CLI_SCROLL_CONCURRENCY

#### CLI_TXN_CAPABLE

    public static final TGetInfoType CLI_TXN_CAPABLE

#### CLI_USER_NAME

    public static final TGetInfoType CLI_USER_NAME

#### CLI_TXN_ISOLATION_OPTION

    public static final TGetInfoType CLI_TXN_ISOLATION_OPTION

#### CLI_INTEGRITY

    public static final TGetInfoType CLI_INTEGRITY

#### CLI_GETDATA_EXTENSIONS

    public static final TGetInfoType CLI_GETDATA_EXTENSIONS

#### CLI_NULL_COLLATION

    public static final TGetInfoType CLI_NULL_COLLATION

#### CLI_ALTER_TABLE

    public static final TGetInfoType CLI_ALTER_TABLE

#### CLI_ORDER_BY_COLUMNS_IN_SELECT

    public static final TGetInfoType CLI_ORDER_BY_COLUMNS_IN_SELECT

#### CLI_SPECIAL_CHARACTERS

    public static final TGetInfoType CLI_SPECIAL_CHARACTERS

#### CLI_MAX_COLUMNS_IN_GROUP_BY

    public static final TGetInfoType CLI_MAX_COLUMNS_IN_GROUP_BY

#### CLI_MAX_COLUMNS_IN_INDEX

    public static final TGetInfoType CLI_MAX_COLUMNS_IN_INDEX

#### CLI_MAX_COLUMNS_IN_ORDER_BY

    public static final TGetInfoType CLI_MAX_COLUMNS_IN_ORDER_BY

#### CLI_MAX_COLUMNS_IN_SELECT

    public static final TGetInfoType CLI_MAX_COLUMNS_IN_SELECT

#### CLI_MAX_COLUMNS_IN_TABLE

    public static final TGetInfoType CLI_MAX_COLUMNS_IN_TABLE

#### CLI_MAX_INDEX_SIZE

    public static final TGetInfoType CLI_MAX_INDEX_SIZE

#### CLI_MAX_ROW_SIZE

    public static final TGetInfoType CLI_MAX_ROW_SIZE

#### CLI_MAX_STATEMENT_LEN

    public static final TGetInfoType CLI_MAX_STATEMENT_LEN

#### CLI_MAX_TABLES_IN_SELECT

    public static final TGetInfoType CLI_MAX_TABLES_IN_SELECT

#### CLI_MAX_USER_NAME_LEN

    public static final TGetInfoType CLI_MAX_USER_NAME_LEN

#### CLI_OJ_CAPABILITIES

    public static final TGetInfoType CLI_OJ_CAPABILITIES

#### CLI_XOPEN_CLI_YEAR

    public static final TGetInfoType CLI_XOPEN_CLI_YEAR

#### CLI_CURSOR_SENSITIVITY

    public static final TGetInfoType CLI_CURSOR_SENSITIVITY

#### CLI_DESCRIBE_PARAMETER

    public static final TGetInfoType CLI_DESCRIBE_PARAMETER

#### CLI_CATALOG_NAME

    public static final TGetInfoType CLI_CATALOG_NAME

#### CLI_COLLATION_SEQ

    public static final TGetInfoType CLI_COLLATION_SEQ

#### CLI_MAX_IDENTIFIER_LEN

    public static final TGetInfoType CLI_MAX_IDENTIFIER_LEN

### Method Detail

#### values

    public static TGetInfoType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TGetInfoType c : TGetInfoType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TGetInfoType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

Get the integer value of this enum value, as defined in the Thrift IDL.

Specified by:
  `getValue` in interface `org.apache.thrift.TEnum`

#### findByValue

    public static TGetInfoType findByValue​(int value)

Find a the enum type by its integer value, as defined in the Thrift IDL.

Returns:
  null if the value is not found.